### Function

# Gimp gradients_popup

#### Declaration [src]

    gboolean
    gimp_gradients_popup (
      const gchar* gradient_callback,
      const gchar* popup_title,
      GimpGradient* initial_gradient,
      GBytes* parent_window
    )

#### Description [src]

Invokes the Gimp gradients selection dialog.

Opens a dialog letting a user choose a gradient.

#### Parameters

`gradient_callback`

  Type: `const gchar*`

  The callback PDB proc to call when user chooses a gradient.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`popup_title`

  Type: `const gchar*`

  Title of the gradient selection dialog.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`initial_gradient`

  Type: `GimpGradient`

  The initial gradient choice.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`parent_window`

  Type: `GBytes`

  An optional parent window handle for the popup to be set transient to.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

TRUE on success.